Update a saved object
- Base URL
-
https://{kibana_url}
Auth
Deprecated
This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
Updates a single Kibana saved object by type and ID.
For transferring or backing up saved objects, prefer the import and export APIs (POST /api/saved_objects/_import and POST /api/saved_objects/_export).
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
type
string · max length: 256
required
-
The saved object type.
-
id
string · max length: 512
required
-
The saved object identifier.
-
A required header to protect against CSRF attacks
-
attributes
map string to object
required
-
references
object[] · max items: 1000
-
-
id
string · max length: 512
required
-
name
string · max length: 1024
required
-
type
string · max length: 256
required
-
upsert
map string to object
-
version
string · max length: 256
200
A successful update response.
application/json
Thank you for your feedback.